<template>
	<div class="container-fluid">
		<div class="row">
			<div class="hero"></div>
		</div>
		<div class="row">
			<div class="container">
				<div class="row nav">
					<router-link class="boton" :to="{ name: 'Principal' }">
						Volver
					</router-link>

					<router-link
						class="boton"
						:to="{ name: 'Modificar', params: { id: pelicula.id } }"
					>
						Modificar
					</router-link>

					<button class="boton" @click="eliminarPelicula">Eliminar</button>
				</div>
				<div class="row detalles justify-content-center align-items-center">
					<div class="col-12 col-md-5">
						<img :src="pelicula.imagenHd" alt="" />
					</div>
					<div class="col-12 col-md-6 offset-md-1">
						<h1>{{ pelicula.nombre }}</h1>
						<h3>Año de Lanzamiento</h3>
						<span>{{ pelicula.anioLanzamiento }}</span>
						<h3>Género</h3>
						<span>{{ genero.nombre }}</span>
						<h3>Sinopsis</h3>
						<p>{{ pelicula.descripcion }}</p>
					</div>
				</div>
			</div>
		</div>
	</div>
</template>

<script>
import axios from "axios";
export default {
	name: "Detalles",
	data() {
		return {
			pelicula: {},
			id: this.$route.params.id,
			genero: "",
		};
	},
	mounted() {
		this.cargarPelicula();
	},
	methods: {
		cargarPelicula: function() {
			axios
				.get("http://localhost:8080/api/pelicula/" + this.id)
				.then((response) => {
					console.log(response);
					this.pelicula = response.data;

					this.cargarGenero();
				});
		},
		cargarGenero: function() {
			axios
				.get("http://localhost:8080/api/genero/" + this.pelicula.generoId)
				.then((response) => {
					this.genero = response.data;
				});
		},
		eliminarPelicula: function() {
			axios
				.delete("http://localhost:8080/api/pelicula/" + this.id)
				.then((response) => {
					if (response.status === 200) {
						this.$router.push("/");
					}
				});
		},
	},
};
</script>

<style lang="scss">
.hero {
	background-color: black;
	background-image: url("https://www.cinemascomics.com/wp-content/uploads/2016/11/Marvel-Studios-castings-pol%C3%A9mica.jpg");
	background-position: center;
	background-repeat: no-repeat;
	background-size: contain;
	height: 300px;
	width: 100%;
}

.detalles {
	color: #ffffff;
	padding: 20px 0 60px;

	img {
		height: auto;
		width: 100%;
	}

	h1 {
		margin-top: 20px;
	}

	h3 {
		margin-bottom: 30px;
		margin-top: 30px;
	}

	span,
	p {
		font-size: 20px;
	}

	@media all and (min-width: 768px) and (max-width: 991px) {
		h1 {
			font-size: 26px;
		}

		h3 {
			font-size: 20px;
		}

		span,
		p {
			font-size: 16px;
		}
	}
}
</style>
